Bug 1700417 (CVE-2019-10649)

Summary: CVE-2019-10649 ImageMagick: memory leak in SVGKeyValuePairs of coders/svg.c that leads to denial of service via crafted image file
Product: [Other] Security Response Reporter: msiddiqu
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jhorak, klember, mike, pahan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-18 06:21:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1700418    
Bug Blocks: 1700419    

Description msiddiqu 2019-04-16 13:53:10 UTC
In ImageMagick 7.0.8-36 Q16, there is a memory leak in the function SVGKeyValuePairs of coders/svg.c, which allows an attacker to cause a denial of service via a crafted image file.

Upstream patch:

https://github.com/ImageMagick/ImageMagick6/commit/e3417aebe17cbe274b7361aa92c83226ca5b646b
https://github.com/ImageMagick/ImageMagick/commit/d3ae9c19125c8704b4866381f7a064ca2cbdc006

Upstream issue:

https://github.com/ImageMagick/ImageMagick/issues/1533

Comment 1 msiddiqu 2019-04-16 13:53:21 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1700418]

Comment 2 msiddiqu 2019-04-17 10:33:30 UTC
References:

https://bugs.mageia.org/show_bug.cgi?id=24614

Comment 3 Huzaifa S. Sidhpurwala 2019-04-18 06:21:30 UTC
Analysis:

Essentially a memory leak, can cause the application to crash when very large images are parsed via ImageMagick. Again not very keen on calling this as security flaw. Marking this as a non-security flaw.